<bugID>1216668<Summary>Implement console autocomplete for inline arrays and multiline strings</Summary><Description>Right now, if you enter any of these you won't get autocompletion in the console:

[1,2,3].
1.
`foo`.

There's special casing for string literals, but I suspect that if we use Parser.jsm we can detect other types and do better autocompletion</Description></bugID>